diff --git a/tests/online-accounts-ui/tst_access_model.pro b/tests/online-accounts-ui/tst_access_model.pro
index ce6071e..7db6fc3 100644
--- a/tests/online-accounts-ui/tst_access_model.pro
+++ b/tests/online-accounts-ui/tst_access_model.pro
@@ -15,7 +15,7 @@ PKGCONFIG += \
 INCLUDEPATH += \
     $${TOP_SRC_DIR}/plugins
 QMAKE_LIBDIR = $${TOP_BUILD_DIR}/plugins/OnlineAccountsPlugin
-LIBS += -lonline-accounts-plugin
+LIBS += -lonline-accounts-plugin -lintl
 
 DEFINES += \
     TEST_DATA_DIR=\\\"$${PWD}/data\\\"
diff --git a/tests/online-accounts-ui/tst_browser_request.pro b/tests/online-accounts-ui/tst_browser_request.pro
index 113faa0..a954c98 100644
--- a/tests/online-accounts-ui/tst_browser_request.pro
+++ b/tests/online-accounts-ui/tst_browser_request.pro
@@ -18,7 +18,7 @@ PKGCONFIG += \
 INCLUDEPATH += \
     $${TOP_SRC_DIR}/plugins
 QMAKE_LIBDIR = $${TOP_BUILD_DIR}/plugins/OnlineAccountsPlugin
-LIBS += -lonline-accounts-plugin
+LIBS += -lonline-accounts-plugin -lintl
 
 DEFINES += \
     NO_REQUEST_FACTORY \
diff --git a/tests/online-accounts-ui/tst_provider_request.pro b/tests/online-accounts-ui/tst_provider_request.pro
index 0764da8..000e201 100644
--- a/tests/online-accounts-ui/tst_provider_request.pro
+++ b/tests/online-accounts-ui/tst_provider_request.pro
@@ -15,7 +15,7 @@ PKGCONFIG += \
 INCLUDEPATH += \
     $${TOP_SRC_DIR}/plugins
 QMAKE_LIBDIR = $${TOP_BUILD_DIR}/plugins/OnlineAccountsPlugin
-LIBS += -lonline-accounts-plugin
+LIBS += -lonline-accounts-plugin -lintl
 
 DEFINES += \
     NO_REQUEST_FACTORY \
diff --git a/tests/online-accounts-ui/tst_signonui_request.pro b/tests/online-accounts-ui/tst_signonui_request.pro
index b73a1dc..4b5d044 100644
--- a/tests/online-accounts-ui/tst_signonui_request.pro
+++ b/tests/online-accounts-ui/tst_signonui_request.pro
@@ -17,7 +17,7 @@ PKGCONFIG += \
 INCLUDEPATH += \
     $${TOP_SRC_DIR}/plugins
 QMAKE_LIBDIR = $${TOP_BUILD_DIR}/plugins/OnlineAccountsPlugin
-LIBS += -lonline-accounts-plugin
+LIBS += -lonline-accounts-plugin -lintl
 
 DEFINES += \
     NO_REQUEST_FACTORY \
diff --git a/tests/system-settings-plugin/system-settings-plugin.pro b/tests/system-settings-plugin/system-settings-plugin.pro
index 119564f..edad0a8 100644
--- a/tests/system-settings-plugin/system-settings-plugin.pro
+++ b/tests/system-settings-plugin/system-settings-plugin.pro
@@ -20,6 +20,8 @@ SYSTEM_SETTINGS_PLUGIN_DIR = $${TOP_SRC_DIR}/system-settings-plugin
 INCLUDEPATH += \
     $${SYSTEM_SETTINGS_PLUGIN_DIR}
 
+LIBS += -lintl
+
 SOURCES += \
     $${SYSTEM_SETTINGS_PLUGIN_DIR}/plugin.cpp \
     tst_plugin.cpp
